Package com.enonic.xp.schema.relationship

## Class RelationshipTypes

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntityList<RelationshipType>
  - - com.enonic.xp.schema.relationship.RelationshipTypes

- All Implemented Interfaces:
    `Iterable<RelationshipType>`

      @PublicApi
      public final class RelationshipTypes
      extends AbstractImmutableEntityList<RelationshipType>

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `list`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RelationshipTypes` | `add​(RelationshipType... relationshipTypes)` |
    `RelationshipTypes` | `add​(Iterable<RelationshipType> relationshipTypes)` |
    `static RelationshipTypes` | `empty()` |
    `RelationshipTypes` | `filter​(Predicate<RelationshipType> filter)` |
    `static RelationshipTypes` | `from​(RelationshipType... relationshipTypes)` |
    `static RelationshipTypes` | `from​(Iterable<RelationshipType> relationshipTypes)` |
    `static RelationshipTypes` | `from​(Iterator<RelationshipType> relationshipTypes)` |
    `RelationshipType` | `get​(RelationshipTypeName relationshipTypeName)` |
    `Set<RelationshipTypeName>` | `getNames()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `contains, equals, first, get, getList, getSize, hashCode, isEmpty, isNotEmpty, iterator, last, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### add

          public RelationshipTypes add​(RelationshipType... relationshipTypes)

    - #### add

          public RelationshipTypes add​(Iterable<RelationshipType> relationshipTypes)

    - #### getNames

          public Set<RelationshipTypeName> getNames()

    - #### get

          public RelationshipType get​(RelationshipTypeName relationshipTypeName)

    - #### filter

          public RelationshipTypes filter​(Predicate<RelationshipType> filter)

    - #### empty

          public static RelationshipTypes empty()

    - #### from

          public static RelationshipTypes from​(RelationshipType... relationshipTypes)

    - #### from

          public static RelationshipTypes from​(Iterable<RelationshipType> relationshipTypes)

    - #### from

          public static RelationshipTypes from​(Iterator<RelationshipType> relationshipTypes)